﻿' -----------------------------------------------------------------------------------------
' 
' ftTeachSchnitt.VB                                                 Ulrich Müller  16.06.06
'                                                                   PCS1700 VB 2005 Express
' ftTeach : Bearbeitung der Liste der verfügbaren Interfaces
'           Basis FishFace2005.DLL
' Übernahme der Tabelle IntModelle von ftTeachMain, Anzeige von IntModelle(0)
' und Übergabe der ggf. modifizierten Liste bei OK
'
' ------------------------------------------------------------------------------------------

Public Class ftTeachSchnitt

  Private pd As ftTeachDaten
  Private Anschluss As IntSatz

  Public Sub New(ByVal pd As ftTeachDaten)
    InitializeComponent()
    Me.pd = pd
    Anschluss = pd.IntModelle(0)
  End Sub

  Private Sub ftTeachSchnitt_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
    ' --- Erstellen der Liste der Interfacetypen in cboTyp,
    '     Auslösen von cboTyp_SelectedIndexChanged
    Dim i%
    cboTyp.Items.Clear()
    For i = 0 To pd.IntModelle.Length - 1
      cboTyp.Items.Add(pd.IntModelle(i).Typ.ToString)
    Next
    cboTyp.SelectedIndex = 0
  End Sub

  Private Sub cmdCancel_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdCancel.Click
    ' --- Beenden ohne Update ---------
    Me.Close()
  End Sub

  Private Sub cmdOK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdOK.Click
    ' --- Übernahme der ggf. modifizierten Werte aus den Anzeigefeldern nach IntModelle
    If Anschluss.PortNr = 0 Then
      Anschluss.SerialNr = mskSerialNr.Text
    Else
      Anschluss.PortNr = cboPort.SelectedIndex + 1
    End If
    pd.IntModelle(0) = Anschluss
    If chkUpdate.Checked Then pd.IntModelle(cboTyp.SelectedIndex) = Anschluss
    Me.Close()
  End Sub

  Private Sub cboTyp_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboTyp.SelectedIndexChanged
    ' --- Füllen der Anzeigefelder mit den Werten des aktuellen IntModells 
    '     nach Vorgabe von cboTyp
    Anschluss = pd.IntModelle(cboTyp.SelectedIndex)
    If Anschluss.PortNr = 0 Then
      lblSerialNr.Text = "SerialNumber"
      mskSerialNr.Visible = True
      mskSerialNr.Text = Anschluss.SerialNr
      cboPort.Visible = False
      lblUSB.Visible = True
    Else
      lblSerialNr.Text = "COM-Port"
      mskSerialNr.Visible = False
      cboPort.Visible = True
      cboPort.SelectedIndex = Anschluss.PortNr - 1
      lblUSB.Visible = False
    End If
  End Sub
End Class